Bug 1294367 - x0vncserver won't start during XFCE4 startup
x0vncserver won't start during XFCE4 startup
Product: Fedora
Classification: Fedora
Component: xfce4-session (Show other bugs)
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-12-27 13:38 EST by Dominique Brazziel
Modified: 2016-12-20 12:25 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-12-20 12:25:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dominique Brazziel 2015-12-27 13:38:45 EST
Description of problem:
The following was added to the 'Session and Startup / Autostart' section:

/usr/bin/x0vncserver -display :0 

But the server does not start.  Instead the 'usage' message shows possible

TigerVNC Server version 1.5.0, built Nov 19 2015 14:19:46

Usage: /usr/bin/x0vncserver [<parameters>]
       /usr/bin/x0vncserver --version

<* snip *>...

The server starts fine with the same options if started from the
command line from ssh or within a terminal on the host.

Version-Release number of selected component (if applicable):

How reproducible:
Add x0vncserver to the Autostart list

Steps to Reproduce:

Actual results:
No active server

Expected results:
Active VNC server

Additional info:
Comment 1 Dominique Brazziel 2015-12-27 17:29:44 EST
Workaround is to put the command in a script:

# startvnc0 - Start the x0vncserver
/usr/bin/x0vncserver -display=:0
Comment 2 Jan Grulich 2016-01-11 09:25:28 EST
Isn't that a bug in xfce? When it works when you start it manually or when you use the script above then it doesn't look like a problem in tigervnc, but rather in "Session and startup" xfce part.
Comment 3 Dominique Brazziel 2016-01-17 14:50:19 EST
It would seem so.  I will see if I can reassign this to package 'xfce4-session'.
Comment 4 Kevin Fenzi 2016-01-19 17:22:01 EST
When you add the command, can you attach the .desktop file thats made in ~/.config/autostart/ for it? That should hopefully tell us whats going on...
Comment 5 Fedora End Of Life 2016-11-24 09:32:40 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 12:25:06 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.